import 'package:flutter/material.dart';
import 'package:gprs_convert_example/gprs_server_test.dart';

void main() {
  runApp(ExampleApp());
}

class ExampleApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'plugin example',
      home: Scaffold(
        appBar: AppBar(
          title: Text('plugin example'),
        ),
        body: MyApp(),
      ),
    );
  }
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          RaisedButton(
            onPressed: () {
              loginTest();
            },
            child: Text('login test'),
          ),
          RaisedButton(
            onPressed: () {
              queryTest();
            },
            child: Text('query test'),
          ),
        ],
      ),
    );
  }
}
